package com.ynet.life.sujrb.action;

import cn.hutool.crypto.SecureUtil;
import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.InvalidArgumentException;
import com.ynet.gene.data.ObjectNotFoundException;
import com.ynet.gene.log.GENELog;
import com.ynet.life.action.IdWorker;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.util.PropertiesFile;
import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLDecoder;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Properties;
import org.apache.http.HttpResponse;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.entity.ContentType;
import org.apache.http.entity.StringEntity;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.util.EntityUtils;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/GetCorCreditCheckingAction.class */
public class GetCorCreditCheckingAction extends LifeAction {
    public String corNos;
    public String applyMatter;
    public String applyUserName;
    public String applyDateStart;
    public String applyDateEnd;
    public String applyUnit;
    public String results;
    private static final String ERROR_CODE = "ERCCC0001";
    private static final String CCC_COMPONENT = "【【获取企业信用审查数据接口】】";
    private static final String INSERT_LOG_SQL = "INSERT INTO fsp_log_in (LMT_FLOWNO,LMT_LOGTYPE,LMT_OPTID,LMT_PARAM,LMT_RESULT) VALUES (?,?,?,?,?)";
    private IdWorker idWorker = IdWorker.getInstance();
    private Map<String, Map<String, String>> corDetailMap;
    private String errorMsg;
    private String applyMatterValue;
    private String applyUserNameValue;
    private String applyDateStartValue;
    private String applyDateEndValue;
    private String applyUnitValue;
    private String url;
    private String appId;
    private String userName;
    private String password;
    private static final String CHECK_MATTER_DEFAULT = "信用审查";
    private static final String APPLY_USER_DEFAULT = "";
    private static final String APPLY_UNIT_DEFAULT = "";

    /* JADX WARN: Multi-variable type inference failed */
    public String execute(Context context) throws GENEException {
        GENELog.log(CCC_COMPONENT, GENELog.INFO, 0, "开始");
        IndexedCollection indexedCollection = (IndexedCollection) context.get(this.corNos);
        if (indexedCollection == null || indexedCollection.size() == 0) {
            throw new GENEException(ERROR_CODE, "待查询的企业列表不能为空");
        }
        IndexedCollection indexedCollection2 = null;
        if (this.results != null && !"".equals(this.results)) {
            IndexedCollection indexedCollection3 = (IndexedCollection) context.getDataElement(this.results);
            indexedCollection2 = indexedCollection3;
            indexedCollection3.clear();
        }
        initRequestParam(context);
        GetCorCreditCheckingUtil getCorCreditCheckingUtil = new GetCorCreditCheckingUtil();
        JSONObject jSONObject = new JSONObject();
        new JSONArray();
        IndexedCollection connection = LifeDBAccess.getConnection();
        try {
            try {
                this.corDetailMap = getCorCreditCheckingUtil.getCorDetail(indexedCollection, connection);
                if (this.corDetailMap.size() == 0) {
                    this.errorMsg = "待查询的企业不存在";
                    throw new Exception("");
                }
                JSONArray parseArray = JSONUtil.parseArray(JSONUtil.toJsonStr(this.corDetailMap.values()));
                jSONObject.put("apply_matter", this.applyMatterValue);
                jSONObject.put("apply_username", this.applyUserNameValue);
                jSONObject.put("apply_date_start", this.applyDateStartValue);
                jSONObject.put("apply_date_end", this.applyDateEndValue);
                jSONObject.put("apply_unit", this.applyUnitValue);
                jSONObject.put("info", parseArray);
                String valueOf = String.valueOf(new Date().getTime() / 1000);
                String valueOf2 = String.valueOf(this.idWorker.nextId());
                String sendRequest = sendRequest(jSONObject.toString(), valueOf, valueOf2, SecureUtil.md5("apply_date_end=\"" + this.applyDateEndValue + "\"&apply_date_start=\"" + this.applyDateStartValue + "\"&apply_matter=\"" + this.applyMatterValue + "\"&apply_unit=\"" + this.applyUnitValue + "\"&apply_username=\"" + this.applyUserNameValue + "\"&info=" + parseArray.toString() + valueOf + valueOf2));
                Map<String, List<Map<String, String>>> handleReturnData = handleReturnData(sendRequest, connection);
                int size = handleReturnData.size();
                IndexedCollection indexedCollection4 = size;
                if (size > 0) {
                    getCorCreditCheckingUtil.executeDataToDataBase(handleReturnData, connection);
                    IndexedCollection indexedCollection5 = indexedCollection2;
                    indexedCollection4 = indexedCollection5;
                    if (indexedCollection5 != null) {
                        boolean containsKey = handleReturnData.containsKey("result_info");
                        indexedCollection4 = containsKey;
                        if (containsKey != 0) {
                            IndexedCollection indexedCollection6 = getCorCreditCheckingUtil;
                            indexedCollection6.parseListToIcoll(handleReturnData.get("result_info"), indexedCollection2);
                            indexedCollection4 = indexedCollection6;
                        }
                    }
                }
                try {
                    try {
                        PreparedStatement prepareStatement = connection.prepareStatement(INSERT_LOG_SQL);
                        prepareStatement.setString(1, String.valueOf(this.idWorker.nextId()));
                        prepareStatement.setString(2, "6");
                        prepareStatement.setString(3, this.url);
                        prepareStatement.setString(4, jSONObject.toString());
                        prepareStatement.setString(5, sendRequest.length() > 500 ? sendRequest.substring(0, 500) : "");
                        prepareStatement.executeUpdate();
                        indexedCollection4 = connection;
                        indexedCollection4.commit();
                        if (connection != null) {
                            LifeDBAccess.releaseConnection(connection);
                        }
                    } catch (Throwable th) {
                        if (connection != null) {
                            LifeDBAccess.releaseConnection(connection);
                        }
                        throw th;
                    }
                } catch (SQLException e) {
                    indexedCollection4.printStackTrace();
                    if (connection != null) {
                        LifeDBAccess.releaseConnection(connection);
                    }
                }
                GENELog.log(CCC_COMPONENT, GENELog.INFO, 0, "结束");
                return "0";
            } catch (Exception e2) {
                this.errorMsg = "接口调用失败";
                GENELog.log(CCC_COMPONENT, GENELog.INFO, 0, "接口异常：".concat(String.valueOf(e2)));
                throw new GENEException(ERROR_CODE, this.errorMsg);
            }
        } catch (Throwable th2) {
            try {
                try {
                    PreparedStatement prepareStatement2 = connection.prepareStatement(INSERT_LOG_SQL);
                    prepareStatement2.setString(1, String.valueOf(this.idWorker.nextId()));
                    prepareStatement2.setString(2, "6");
                    prepareStatement2.setString(3, this.url);
                    prepareStatement2.setString(4, jSONObject.toString());
                    prepareStatement2.setString(5, "".length() > 500 ? "".substring(0, 500) : "");
                    prepareStatement2.executeUpdate();
                    connection = connection;
                    connection.commit();
                    if (connection != null) {
                        LifeDBAccess.releaseConnection(connection);
                    }
                } catch (Throwable th3) {
                    if (connection != null) {
                        LifeDBAccess.releaseConnection(connection);
                    }
                    throw th3;
                }
            } catch (SQLException e3) {
                connection.printStackTrace();
                if (connection != null) {
                    LifeDBAccess.releaseConnection(connection);
                }
            }
            throw th2;
        }
    }

    private void initRequestParam(Context context) throws ObjectNotFoundException, InvalidArgumentException {
        this.corDetailMap = null;
        this.errorMsg = "";
        this.applyMatterValue = "";
        this.applyUserNameValue = "";
        this.applyDateStartValue = "";
        this.applyDateEndValue = "";
        this.applyUnitValue = "";
        Date nowDate = new Date();
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        if (this.applyDateEnd == null || "".equals(this.applyDateEnd.trim())) {
            this.applyDateEndValue = sdf.format(nowDate);
        } else {
            this.applyDateEndValue = context.getDataValue(this.applyDateEnd).toString();
        }
        if (this.applyDateStart == null || "".equals(this.applyDateStart.trim())) {
            this.applyDateStartValue = String.valueOf(String.valueOf(Integer.parseInt(this.applyDateEndValue.substring(0, 4)) - 3)) + this.applyDateEndValue.substring(4);
        } else {
            this.applyDateStartValue = context.getDataValue(this.applyDateStart).toString();
        }
        if (this.applyMatter == null || "".equals(this.applyMatter.trim())) {
            this.applyMatterValue = CHECK_MATTER_DEFAULT;
        } else {
            this.applyMatterValue = context.getDataValue(this.applyMatter).toString();
        }
        if (this.applyUserName == null || "".equals(this.applyUserName.trim())) {
            this.applyUserNameValue = "";
        } else {
            this.applyUserNameValue = context.getDataValue(this.applyUserName).toString();
        }
        if (this.applyUnit == null || "".equals(this.applyUnit.trim())) {
            this.applyUnitValue = "";
        } else {
            this.applyUnitValue = context.getDataValue(this.applyUnit).toString();
        }
        Properties properties = PropertiesFile.getProperties("/properties/corCreditCheckingPath.properties");
        String profile = properties.getProperty("profile");
        this.url = properties.getProperty(String.valueOf(profile) + ".url");
        this.appId = properties.getProperty(String.valueOf(profile) + ".appId");
        this.userName = properties.getProperty(String.valueOf(profile) + ".userName");
        this.password = properties.getProperty(String.valueOf(profile) + ".password");
    }

    private String sendRequest(String requestParam, String timestamp, String nonce, String sign) throws Exception {
        String logInfo;
        GENELog.log(CCC_COMPONENT, GENELog.INFO, 0, "接口请求参数（BODY）：".concat(String.valueOf(requestParam)));
        String result = "";
        HttpURLConnection conn = (HttpURLConnection) new URL(this.url).openConnection();
        conn.setRequestMethod("POST");
        conn.setRequestProperty("accept", "application/json;charset=UTF-8");
        conn.setRequestProperty("Connection", "Keep-Alive");
        conn.setRequestProperty("Content-Type", "application/json");
        conn.setRequestProperty("Charset", "UTF-8");
        conn.setRequestProperty("timestamp", timestamp);
        conn.setRequestProperty("nonce", nonce);
        conn.setRequestProperty("sign", sign);
        conn.setRequestProperty("appId", this.appId);
        conn.setRequestProperty("userName", this.userName);
        conn.setRequestProperty("password", this.password);
        conn.setDoOutput(true);
        conn.setDoInput(true);
        conn.setUseCaches(false);
        conn.setConnectTimeout(30000);
        GENELog.log(CCC_COMPONENT, GENELog.INFO, 0, "开始调用信用审查外部接口");
        conn.connect();
        OutputStream out = conn.getOutputStream();
        byte[] data = requestParam.getBytes("UTF-8");
        out.write(data);
        out.flush();
        out.close();
        int returnCode = conn.getResponseCode();
        System.out.println("信用审查接口返回码：".concat(String.valueOf(returnCode)));
        if (returnCode == 200) {
            System.out.println("信用审查接口：连接成功");
            InputStream in = conn.getInputStream();
            BufferedReader br = new BufferedReader(new InputStreamReader(in));
            StringBuffer sb = new StringBuffer();
            while (true) {
                String s = br.readLine();
                if (s == null) {
                    break;
                }
                sb.append(s);
            }
            if (sb.length() > 0) {
                result = URLDecoder.decode(sb.toString(), "UTF-8");
            }
            GENELog.log(CCC_COMPONENT, GENELog.INFO, 0, "接口返回成功，返回结果（全部）：".concat(String.valueOf(result)));
            if (result.length() > 500) {
                logInfo = result.substring(0, 500);
            } else {
                logInfo = result;
            }
            GENELog.log(CCC_COMPONENT, GENELog.INFO, 0, "接口返回成功，返回结果（部分）：".concat(String.valueOf(logInfo)));
            if (in != null) {
                in.close();
            }
            conn.disconnect();
            return result;
        }
        System.out.println("信用审查接口：连接失败");
        throw new Exception("连接失败,返回码：".concat(String.valueOf(returnCode)));
    }

    private String sendRequestByClient(String requestParam, String timestamp, String nonce, String sign) throws Exception {
        String logInfo;
        GENELog.log(CCC_COMPONENT, GENELog.INFO, 0, "接口请求参数（BODY）：".concat(String.valueOf(requestParam)));
        System.out.println("信用审查接口地址URL" + this.url);
        HttpPost httpPost = new HttpPost(this.url);
        DefaultHttpClient httpClient = new DefaultHttpClient();
        new JSONObject();
        try {
            StringEntity se = new StringEntity(requestParam, ContentType.APPLICATION_JSON);
            httpPost.addHeader("Content-Type", "application/json");
            httpPost.addHeader("Accept", "application/json");
            httpPost.setHeader("timestamp", timestamp);
            httpPost.setHeader("nonce", nonce);
            httpPost.setHeader("sign", sign);
            httpPost.setHeader("appId", this.appId);
            httpPost.setHeader("userName", this.userName);
            httpPost.setHeader("password", this.password);
            httpPost.setEntity(se);
            System.out.println("外部信用审查接口调用");
            HttpResponse response = httpClient.execute(httpPost);
            int responseCode = response.getStatusLine().getStatusCode();
            System.out.println("外部信用审查接口调用返回码".concat(String.valueOf(responseCode)));
            if (responseCode == 200) {
                System.out.println("信用审查接口：连接成功");
                String resString = EntityUtils.toString(response.getEntity(), "utf-8");
                System.out.println("外部信用审查接口返回结果：".concat(String.valueOf(resString)));
                JSONObject resJson = JSONUtil.parseObj(resString);
                String result = resJson.toString();
                if (result.length() > 500) {
                    logInfo = result.substring(0, 500);
                } else {
                    logInfo = result;
                }
                GENELog.log(CCC_COMPONENT, GENELog.INFO, 0, "接口返回成功，返回结果（部分）：".concat(String.valueOf(logInfo)));
                return result;
            }
            System.out.println("信用审查接口：连接失败");
            throw new Exception("信用审查接口连接失败，返回码：".concat(String.valueOf(responseCode)));
        } catch (Exception e) {
            GENELog.log(CCC_COMPONENT, GENELog.INFO, 0, "接口返回失败，异常：".concat(String.valueOf(e)));
            throw e;
        }
    }

    private Map<String, List<Map<String, String>>> handleReturnData(String returnData, Connection conn) throws Exception {
        new JSONObject();
        GetCorCreditCheckingUtil gcUtil = new GetCorCreditCheckingUtil();
        String errorMessage = "接口数据格式异常";
        new JSONArray();
        Map<String, List<Map<String, String>>> map = new HashMap<>();
        try {
            JSONObject jo = JSONUtil.parseObj(returnData);
            if (jo.containsKey("code") && jo.containsKey("message") && jo.containsKey("data")) {
                String status = jo.getStr("code");
                jo.getStr("message");
                String data = jo.getStr("data");
                if (status.equals("0")) {
                    JSONObject dataJo = JSONUtil.parseObj(data);
                    if (dataJo.size() == 0) {
                        return map;
                    }
                    String applyNum = dataJo.getStr("apply_num");
                    JSONArray arrayCor = JSONUtil.parseArray(dataJo.getStr("companies"));
                    if (arrayCor.size() > 0) {
                        Map<String, String> corCodeWithNoMap = new HashMap<>();
                        for (Map.Entry<String, Map<String, String>> entry : this.corDetailMap.entrySet()) {
                            corCodeWithNoMap.put(entry.getValue().get("uscc"), entry.getKey());
                        }
                        for (int i = 0; i < arrayCor.size(); i++) {
                            Map<String, String> tempMap = new HashMap<>();
                            new JSONObject();
                            String flowNo = String.valueOf(this.idWorker.nextId());
                            JSONObject tempJo = arrayCor.getJSONObject(Integer.valueOf(i));
                            String corNo = corCodeWithNoMap.get(tempJo.getStr("uscc"));
                            tempMap.put("adm_counterpart", tempJo.getStr("adm_counterpart"));
                            tempJo.remove("adm_counterpart");
                            tempMap.put("uscc", tempJo.getStr("uscc"));
                            tempMap.put("result", tempJo.getStr("result"));
                            tempJo.remove("result");
                            tempMap.put("ccc_corno", corNo);
                            tempJo.remove("uscc");
                            tempMap.put("ccc_flowNo", flowNo);
                            tempMap.put("apply_num", applyNum);
                            tempMap.put("apply_date_start", this.applyDateStartValue);
                            tempMap.put("apply_date_end", this.applyDateEndValue);
                            List<Map<String, String>> tempList = new ArrayList<>();
                            if (map.containsKey("result_info")) {
                                tempList = map.get("result_info");
                            }
                            tempList.add(tempMap);
                            map.put("result_info", tempList);
                            for (String key : tempJo.keySet()) {
                                new ArrayList();
                                List<Map<String, String>> tempList3 = new ArrayList<>();
                                List<Map<String, String>> tempList2 = (List) com.alibaba.fastjson.JSONObject.parseObject(tempJo.getStr(key), List.class);
                                if (tempList2 != null) {
                                    for (Map<String, String> iMap : tempList2) {
                                        iMap.put("flowNo", String.valueOf(this.idWorker.nextId()));
                                        iMap.put("ccc_flowNo", flowNo);
                                        iMap.put("CCC_CORNO", corNo);
                                        iMap.put("CCC_CREATETIME", gcUtil.getMinCreateTime(iMap.get("id"), key, conn));
                                    }
                                    if (map.containsKey(key)) {
                                        tempList3 = map.get(key);
                                    }
                                    tempList3.addAll(tempList2);
                                    map.put(key, tempList3);
                                }
                            }
                        }
                    }
                    return map;
                }
                throw new Exception("");
            }
            throw new Exception("");
        } catch (Exception e) {
            if (!"".equals(e.toString())) {
                errorMessage = "";
            }
            GENELog.log(CCC_COMPONENT, GENELog.INFO, 0, String.valueOf(errorMessage) + e);
            throw new GENEException(ERROR_CODE, "接口调用失败");
        }
    }

    public void setCorNos(String corNos) {
        this.corNos = corNos;
    }

    public void setResults(String results) {
        this.results = results;
    }

    public void setApplyMatter(String applyMatter) {
        this.applyMatter = applyMatter;
    }

    public void setApplyUserName(String applyUserName) {
        this.applyUserName = applyUserName;
    }

    public void setApplyDateStart(String applyDateStart) {
        this.applyDateStart = applyDateStart;
    }

    public void setApplyDateEnd(String applyDateEnd) {
        this.applyDateEnd = applyDateEnd;
    }

    public void setApplyUnit(String applyUnit) {
        this.applyUnit = applyUnit;
    }
}
